# Class Country

#### Hierarchy

- unknown
  - Country

- Defined in src/protobuf/pb_pb.d.ts:7537
- Defined in src/protobuf/pb_pb.d.ts:7557

#####
Index

### Constructors

constructor

### Methods

clearRegion
getCode
getName
getRegion
hasRegion
serializeBinary
setCode
setName
setRegion
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Country(): Country

- #### Returns Country

  Inherited from jspb.Message.constructor

## Methods

### clearRegion

- clearRegion(): Country

- #### Returns Country

  - Defined in src/protobuf/pb_pb.d.ts:7547

### getCode

- getCode(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7538

### getName

- getName(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7541

### getRegion

- getRegion(): undefined | Region

- #### Returns undefined | Region

  - Defined in src/protobuf/pb_pb.d.ts:7544

### hasRegion

- hasRegion(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:7546

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7549

### setCode

- setCode(value: string): Country

- #### Parameters

  - ##### value: string

  #### Returns Country

  - Defined in src/protobuf/pb_pb.d.ts:7539

### setName

- setName(value: string): Country

- #### Parameters

  - ##### value: string

  #### Returns Country

  - Defined in src/protobuf/pb_pb.d.ts:7542

### setRegion

- setRegion(value?: Region): Country

- #### Parameters

  - ##### `Optional` value: Region

  #### Returns Country

  - Defined in src/protobuf/pb_pb.d.ts:7545

### toObject

- toObject(includeInstance?: boolean): Country.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Country.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7550

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Country

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Country

  - Defined in src/protobuf/pb_pb.d.ts:7553

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Country, reader: BinaryReader): Country

- #### Parameters

  - ##### message: Country

  - ##### reader: BinaryReader

  #### Returns Country

  - Defined in src/protobuf/pb_pb.d.ts:7554

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Country, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Country

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7552

### `Static` toObject

- toObject(includeInstance: boolean, msg: Country): Country.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Country

  #### Returns Country.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7551

Generated using TypeDoc